# pysendmail

Simple tool for sending email with sendmail, postfix or ssmtpd.

Example:
```python
import pysema

pysema.send(
    ['alice@example.com', 'bob@example.com'],
    'really good subject line',
    'Message body goes here'
    )
```

If you need to send some complex message, use [email.message][em] from the 
Python standard library to construct the message (including header fields) and 
pass it to the `send_message` function:

```python
import pysema
from email.message import EmailMessage

msg = EmailMessage()
# compose message

pysema.send_message(msg)
```

If something goes whoopsie a `pysema.SendMailException` is raised.


[em]: https://docs.python.org/3/library/email.message.html
